%define upstream_name    Bencode
%define upstream_version 1.501

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    BitTorrent serialisation format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tidy)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module implements the BitTorrent _bencode_ serialisation format as
described in the http://www.bittorrent.org/protocol.html manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.501.0-2.mga8
+ Revision: 1519812
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Oct 20 2018 tv <tv> 1.501.0-1.mga7
+ Revision: 1323095
- update to 1.501

* Wed Sep 19 2018 umeabot <umeabot> 1.402.0-4.mga7
+ Revision: 1265751
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.402.0-3.mga6
+ Revision: 1022696
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.402.0-2.mga6
+ Revision: 967006
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.402.0-1.mga6
+ Revision: 847960
- update to 1.402

* Sun Oct 19 2014 umeabot <umeabot> 1.400.0-3.mga5
+ Revision: 788503
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.400.0-2.mga5
+ Revision: 746795
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.400.0-1.mga5
+ Revision: 733717
- imported package perl-Bencode


* Wed Oct 01 2014 Thierry Vignaud <tv@mageia.org> 1.400.0-1.mga5
- initial mageia release, generated with cpan2dist
